
QGIS Application - Bug report #6957

Remove "No active layer" dialog for select tool

2013-01-07 08:02 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16067

Description

The user is pressed with this annoying dialog if there is no active layer when using the select tool.

dialog.png

    -  Select a layer in the legend

    -  Make the select tool active 

    -  Click on the whitespace in the legend so no layer is selected

    -  Click in the map

We have two options:

    1. Remove the dialog and do nothing

    2. Remove the dialog and show a message in the message bar above the canvas.

Associated revisions

Revision 2c36e7d7 - 2013-01-12 12:44 PM - Larry Shaffer

Fix #6957, move 'not vector/editable layer' dialogs to message bar for map edit and select tools

- Move notifications to base QgsMapToolEdit class

- Add QgsMessageBar::INFO icon (also useful for lightweight WARNING)

History

#1 - 2013-01-08 09:46 PM - Larry Shaffer

+1 for a timed message in the QgsMessageBar. I really dislike that dialog.

Sounds like a good case (among others) to pass a parameter in with the message to be handled by some QTimer method.

#2 - 2013-01-09 04:58 PM - Nathan Woodrow

- File notvector.png added

Here is another one if you have a vector tool selected but the active layer is a raster layer

notvector.png
#3 - 2013-01-12 03:46 AM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"2c36e7d79fdd6b22495ec8affb6dda942765b9fd".
